Page MenuHomePhabricator
Paste P30841

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php72-selenium-docker/127462/consoleText
ArchivedPublic

Authored by zeljkofilipin on Jul 5 2022, 9:45 AM.
Started by user unknown or anonymous
Running as SYSTEM
Building remotely on integration-agent-docker-1036 (pipelinelib Docker blubber) in workspace /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -xe /tmp/jenkins1184416734799765710.sh
+ mkdir -m 2777 -p cache
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash /tmp/jenkins15052939018190969664.sh
+ set -o pipefail
++ pwd
+ exec docker run --volume /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2/cache:/cache --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=127462 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.6 load
++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
++ /usr/bin/env
Defined: CASTOR_NAMESPACE="castor-mw-ext-and-skins/master/quibble-vendor-mysql-php72-selenium-docker"
Syncing...
rsync: failed to set times on "/cache/.": Operation not permitted (1)
rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1668) [generator=3.1.2]
Done
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -xe /tmp/jenkins15871618430641564293.sh
+ set -eux
+ mkdir -m 2777 -p log
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash /tmp/jenkins1820202829104466548.sh
+ set -o pipefail
+ exec docker run --entrypoint=/usr/bin/find --user=nobody --volume /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2:/workspace --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=127462 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace/log -mindepth 1 -delete
++ /usr/bin/env
++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -xe /tmp/jenkins17937749791183856396.sh
+ set -eux
+ mkdir -m 2777 -p src
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash /tmp/jenkins10465493957720214566.sh
+ set -o pipefail
+ exec docker run --entrypoint=/usr/bin/find --user=nobody --volume /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2:/workspace --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=127462 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace/src -mindepth 1 -delete
++ /usr/bin/env
++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -eu /tmp/jenkins11220751405134586857.sh
+ chmod 2777 src
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash /tmp/jenkins6128885991805647380.sh
+ set -o pipefail
++ pwd
++ pwd
++ pwd
+ exec docker run --entrypoint=quibble-with-supervisord --tmpfs /workspace/db:size=320M --volume /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2/src:/workspace/src --volume /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2/cache:/cache --volume /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2/log:/workspace/log --volume /srv/git:/srv/git:ro --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=127462 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/quibble-buster-php72:1.4.5-s1 --packages-source vendor --db mysql --db-dir /workspace/db --git-parallel=8 --run selenium
++ /usr/bin/env
++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
+ /usr/bin/supervisord -c /etc/supervisor/supervisord.conf
2022-07-01 16:00:00,515 INFO Included extra file "/etc/supervisor/conf.d/supervisord.conf" during parsing
2022-07-01 16:00:00,521 INFO RPC interface 'supervisor' initialized
2022-07-01 16:00:00,521 CRIT Server 'unix_http_server' running without any HTTP authentication checking
+ exec /usr/local/bin/quibble --web-backend=external --web-url=http://127.0.0.1:9413 --packages-source vendor --db mysql --db-dir /workspace/db --git-parallel=8 --run selenium
2022-07-01 16:00:00,522 INFO daemonizing the supervisord process
2022-07-01 16:00:00,524 CRIT could not write pidfile /var/run/supervisord.pid
DEBUG:quibble.cmd:ZUUL_PROJECT=mediawiki/extensions/RevisionSlider
INFO:quibble.cmd:Adding mediawiki/vendor
WARNING:quibble.cmd:SKIN_DEPENDENCIES env variable is deprecated. Instead pass projects as arguments.
WARNING:quibble.cmd:EXT_DEPENDENCIES env variable is deprecated. Instead pass projects as arguments.
INFO:quibble.cmd:Projects: mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/CentralAuth, mediawiki/extensions/CheckUser, mediawiki/extensions/Cite, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/Echo, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FlaggedRevs, mediawiki/extensions/GuidedTour, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/ParserFunctions, mediawiki/extensions/Renameuser, mediawiki/extensions/RevisionSlider, mediawiki/extensions/Scribunto, mediawiki/extensions/SyntaxHighlight_GeSHi, mediawiki/extensions/TemplateData, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/WikimediaEvents, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor
INFO:zuul.CloneMapper:Workspace path set to: ./
INFO:zuul.CloneMapper:Mapping projects to workspace...
INFO:zuul.CloneMapper: mediawiki/extensions/RevisionSlider -> extensions/RevisionSlider
INFO:zuul.CloneMapper:Expansion completed.
DEBUG:quibble.cmd:Running stages: selenium
DEBUG:quibble.cmd:Execution plan:
DEBUG:quibble.cmd:Report package versions
DEBUG:quibble.cmd:Ensure we have the directory '/workspace/log'
DEBUG:quibble.cmd:Zuul clone with parameters {"cache_dir": "/srv/git", "projects": ["mediawiki/core", "mediawiki/extensions/AbuseFilter", "mediawiki/extensions/AntiSpoof", "mediawiki/extensions/CentralAuth", "mediawiki/extensions/CheckUser", "mediawiki/extensions/Cite", "mediawiki/extensions/CodeEditor", "mediawiki/extensions/ConfirmEdit", "mediawiki/extensions/Echo", "mediawiki/extensions/EventBus", "mediawiki/extensions/EventLogging", "mediawiki/extensions/EventStreamConfig", "mediawiki/extensions/FlaggedRevs", "mediawiki/extensions/GuidedTour", "mediawiki/extensions/MobileApp", "mediawiki/extensions/MobileFrontend", "mediawiki/extensions/ParserFunctions", "mediawiki/extensions/Renameuser", "mediawiki/extensions/RevisionSlider", "mediawiki/extensions/Scribunto", "mediawiki/extensions/SyntaxHighlight_GeSHi", "mediawiki/extensions/TemplateData", "mediawiki/extensions/VisualEditor", "mediawiki/extensions/WikiEditor", "mediawiki/extensions/WikimediaEvents", "mediawiki/skins/MinervaNeue", "mediawiki/skins/Vector", "mediawiki/vendor"], "workers": 8, "workspace": "/workspace/src", "zuul_branch": "master", "zuul_project": "mediawiki/extensions/RevisionSlider", "zuul_ref": "refs/zuul/master/Zf08be733576248e1a1e81d0c2ff09071", "zuul_url": "git://contint1001.wikimedia.org"}
DEBUG:quibble.cmd:Extension and skin submodule update under MediaWiki root /workspace/src
DEBUG:quibble.cmd:Install composer dev-requires for vendor.git
DEBUG:quibble.cmd:Start backends, <MySQL (no socket)>
DEBUG:quibble.cmd:Run Post-dependency install, pre-database dependent steps in parallel (concurrency=2):
* Install MediaWiki, db=<MySQL (no socket)> vendor=True
* npm install in /workspace/src
DEBUG:quibble.cmd:Start backends, <ExternalWebserver http://127.0.0.1:9413 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>
DEBUG:quibble.cmd:Browser tests for projects mediawiki/extensions/RevisionSlider, mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/CentralAuth, mediawiki/extensions/CheckUser, mediawiki/extensions/Cite, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/Echo, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FlaggedRevs, mediawiki/extensions/GuidedTour, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/ParserFunctions, mediawiki/extensions/Renameuser, mediawiki/extensions/Scribunto, mediawiki/extensions/SyntaxHighlight_GeSHi, mediawiki/extensions/TemplateData, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/WikimediaEvents, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor
INFO:quibble.commands:>>> Start: Report package versions
INFO:quibble.commands:Python version: 3.7.3 (default, Jan 22 2021, 20:04:44)
[GCC 8.3.0]
INFO:quibble.commands:chromedriver --version: ChromeDriver 90.0.4430.212 (e3cd97fc771b893b7fd1879196d1215b622c2bed-refs/branch-heads/4430@{#1429})
INFO:quibble.commands:chromium --version: Chromium 90.0.4430.212 built on Debian 10.9, running on Debian 10.10
INFO:quibble.commands:composer --version: Composer version 2.3.3 2022-04-01 22:15:35
INFO:quibble.commands:mysql --version: mysql Ver 15.1 Distrib 10.3.34-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2
INFO:quibble.commands:psql --version: psql (PostgreSQL) 11.14 (Debian 11.14-0+deb10u1)
INFO:quibble.commands:node --version: v14.17.5
INFO:quibble.commands:npm --version: 7.21.0
INFO:quibble.commands:php --version: PHP 7.2.34-18+0~20210223.60+debian10~1.gbpb21322+wmf5 (cli) (built: Dec 15 2021 23:28:21) ( NTS )
INFO:quibble.commands:Copyright (c) 1997-2018 The PHP Group
INFO:quibble.commands:Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
INFO:quibble.commands: with Zend OPcache v7.2.34-18+0~20210223.60+debian10~1.gbpb21322+wmf5, Copyright (c) 1999-2018, by Zend Technologies
INFO:quibble.commands:<<< Finish: Report package versions, in 0.692 s
INFO:quibble.commands:>>> Start: Ensure we have the directory '/workspace/log'
INFO:quibble.commands:<<< Finish: Ensure we have the directory '/workspace/log', in 0.000 s
INFO:quibble.commands:>>> Start: Zuul clone with parameters {"cache_dir": "/srv/git", "projects": ["mediawiki/core", "mediawiki/extensions/AbuseFilter", "mediawiki/extensions/AntiSpoof", "mediawiki/extensions/CentralAuth", "mediawiki/extensions/CheckUser", "mediawiki/extensions/Cite", "mediawiki/extensions/CodeEditor", "mediawiki/extensions/ConfirmEdit", "mediawiki/extensions/Echo", "mediawiki/extensions/EventBus", "mediawiki/extensions/EventLogging", "mediawiki/extensions/EventStreamConfig", "mediawiki/extensions/FlaggedRevs", "mediawiki/extensions/GuidedTour", "mediawiki/extensions/MobileApp", "mediawiki/extensions/MobileFrontend", "mediawiki/extensions/ParserFunctions", "mediawiki/extensions/Renameuser", "mediawiki/extensions/RevisionSlider", "mediawiki/extensions/Scribunto", "mediawiki/extensions/SyntaxHighlight_GeSHi", "mediawiki/extensions/TemplateData", "mediawiki/extensions/VisualEditor", "mediawiki/extensions/WikiEditor", "mediawiki/extensions/WikimediaEvents", "mediawiki/skins/MinervaNeue", "mediawiki/skins/Vector", "mediawiki/vendor"], "workers": 8, "workspace": "/workspace/src", "zuul_branch": "master", "zuul_project": "mediawiki/extensions/RevisionSlider", "zuul_ref": "refs/zuul/master/Zf08be733576248e1a1e81d0c2ff09071", "zuul_url": "git://contint1001.wikimedia.org"}
INFO:zuul.CloneMapper:Workspace path set to: /workspace/src
INFO:zuul.CloneMapper:Mapping projects to workspace...
INFO:zuul.CloneMapper: mediawiki/core -> /workspace/src
INFO:zuul.CloneMapper: mediawiki/extensions/AbuseFilter -> /workspace/src/extensions/AbuseFilter
INFO:zuul.CloneMapper: mediawiki/extensions/AntiSpoof -> /workspace/src/extensions/AntiSpoof
INFO:zuul.CloneMapper: mediawiki/extensions/CentralAuth -> /workspace/src/extensions/CentralAuth
INFO:zuul.CloneMapper: mediawiki/extensions/CheckUser -> /workspace/src/extensions/CheckUser
INFO:zuul.CloneMapper: mediawiki/extensions/Cite -> /workspace/src/extensions/Cite
INFO:zuul.CloneMapper: mediawiki/extensions/CodeEditor -> /workspace/src/extensions/CodeEditor
INFO:zuul.CloneMapper: mediawiki/extensions/ConfirmEdit -> /workspace/src/extensions/ConfirmEdit
INFO:zuul.CloneMapper: mediawiki/extensions/Echo -> /workspace/src/extensions/Echo
INFO:zuul.CloneMapper: mediawiki/extensions/EventBus -> /workspace/src/extensions/EventBus
INFO:zuul.CloneMapper: mediawiki/extensions/EventLogging -> /workspace/src/extensions/EventLogging
INFO:zuul.CloneMapper: mediawiki/extensions/EventStreamConfig -> /workspace/src/extensions/EventStreamConfig
INFO:zuul.CloneMapper: mediawiki/extensions/FlaggedRevs -> /workspace/src/extensions/FlaggedRevs
INFO:zuul.CloneMapper: mediawiki/extensions/GuidedTour -> /workspace/src/extensions/GuidedTour
INFO:zuul.CloneMapper: mediawiki/extensions/MobileApp -> /workspace/src/extensions/MobileApp
INFO:zuul.CloneMapper: mediawiki/extensions/MobileFrontend -> /workspace/src/extensions/MobileFrontend
INFO:zuul.CloneMapper: mediawiki/extensions/ParserFunctions -> /workspace/src/extensions/ParserFunctions
INFO:zuul.CloneMapper: mediawiki/extensions/Renameuser -> /workspace/src/extensions/Renameuser
INFO:zuul.CloneMapper: mediawiki/extensions/RevisionSlider -> /workspace/src/extensions/RevisionSlider
INFO:zuul.CloneMapper: mediawiki/extensions/Scribunto -> /workspace/src/extensions/Scribunto
INFO:zuul.CloneMapper: mediawiki/extensions/SyntaxHighlight_GeSHi -> /workspace/src/extensions/SyntaxHighlight_GeSHi
INFO:zuul.CloneMapper: mediawiki/extensions/TemplateData -> /workspace/src/extensions/TemplateData
INFO:zuul.CloneMapper: mediawiki/extensions/VisualEditor -> /workspace/src/extensions/VisualEditor
INFO:zuul.CloneMapper: mediawiki/extensions/WikiEditor -> /workspace/src/extensions/WikiEditor
INFO:zuul.CloneMapper: mediawiki/extensions/WikimediaEvents -> /workspace/src/extensions/WikimediaEvents
INFO:zuul.CloneMapper: mediawiki/skins/MinervaNeue -> /workspace/src/skins/MinervaNeue
INFO:zuul.CloneMapper: mediawiki/skins/Vector -> /workspace/src/skins/Vector
INFO:zuul.CloneMapper: mediawiki/vendor -> /workspace/src/vendor
INFO:zuul.CloneMapper:Expansion completed.
INFO:quibble.zuul.clone:Preparing 28 repositories with 8 workers
INFO:quibble.zuul.clone:Cloning mediawiki/core first
INFO:zuul.Cloner:Creating repo mediawiki/core from cache /srv/git/mediawiki/core.git
2022-07-01 16:00:01,527 INFO spawned: 'apache' with pid 61
2022-07-01 16:00:01,530 INFO spawned: 'php-fpm' with pid 62
2022-07-01 16:00:01,533 INFO spawned: 'memcached' with pid 63
2022-07-01 16:00:01,578 INFO success: php-fpm entered RUNNING state, process has stayed up for > than 0 seconds (startsecs)
2022-07-01 16:00:02,588 INFO success: apache entered RUNNING state, process has stayed up for > than 1 seconds (startsecs)
2022-07-01 16:00:02,588 INFO success: memcached entered RUNNING state, process has stayed up for > than 1 seconds (startsecs)
INFO:zuul.Cloner:Updating origin remote in repo mediawiki/core to https://gerrit.wikimedia.org/r/mediawiki/core
INFO:zuul.Cloner:upstream repo has branch master
INFO:zuul.Cloner:Falling back to branch master
INFO:zuul.Cloner:Prepared mediawiki/core repo with branch master at commit be2d55a0845a395b7e195c5a26d8cd383dd79bde
INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Creating repo mediawiki/extensions/AbuseFilter from cache /srv/git/mediawiki/extensions/AbuseFilter.git
INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:Creating repo mediawiki/extensions/AntiSpoof from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/AntiSpoof
INFO:zuul.Cloner.mediawiki/extensions/Cite:Creating repo mediawiki/extensions/Cite from cache /srv/git/mediawiki/extensions/Cite.git
INFO:zuul.Cloner.mediawiki/extensions/CentralAuth:Creating repo mediawiki/extensions/CentralAuth from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CentralAuth
INFO:zuul.Cloner.mediawiki/extensions/CheckUser:Creating repo mediawiki/extensions/CheckUser from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CheckUser
INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:Creating repo mediawiki/extensions/CodeEditor from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/CodeEditor
INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:Creating repo mediawiki/extensions/ConfirmEdit from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ConfirmEdit
INFO:zuul.Cloner.mediawiki/extensions/Echo:Creating repo mediawiki/extensions/Echo from cache /srv/git/mediawiki/extensions/Echo.git
INFO:zuul.Cloner.mediawiki/extensions/Cite:Updating origin remote in repo mediawiki/extensions/Cite to https://gerrit.wikimedia.org/r/mediawiki/extensions/Cite
INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Updating origin remote in repo mediawiki/extensions/AbuseFilter to https://gerrit.wikimedia.org/r/mediawiki/extensions/AbuseFilter
INFO:zuul.Cloner.mediawiki/extensions/Echo:Updating origin remote in repo mediawiki/extensions/Echo to https://gerrit.wikimedia.org/r/mediawiki/extensions/Echo
INFO:zuul.Cloner.mediawiki/extensions/Cite:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/Cite:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/Cite:Prepared mediawiki/extensions/Cite repo with branch master at commit 76f2d45c40bba140952182a64407a17e04d5bf5d
INFO:zuul.Cloner.mediawiki/extensions/EventBus:Creating repo mediawiki/extensions/EventBus from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/EventBus
INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/Echo:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/AntiSpoof:Prepared mediawiki/extensions/AntiSpoof repo with branch master at commit 5d782eb6bcf621a7d4e115c4f36318543a15289c
INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Creating repo mediawiki/extensions/EventLogging from cache /srv/git/mediawiki/extensions/EventLogging.git
INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Updating origin remote in repo mediawiki/extensions/EventLogging to https://gerrit.wikimedia.org/r/mediawiki/extensions/EventLogging
INFO:zuul.Cloner.mediawiki/extensions/Echo:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/Echo:Prepared mediawiki/extensions/Echo repo with branch master at commit 0678db2336c8b07cf70646a5e7fd706842517d1c
INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:Creating repo mediawiki/extensions/EventStreamConfig from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/EventStreamConfig
INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/AbuseFilter:Prepared mediawiki/extensions/AbuseFilter repo with branch master at commit 543f2c81f344a242069e35a9a308edff6e94d5e3
INFO:zuul.Cloner.mediawiki/extensions/FlaggedRevs:Creating repo mediawiki/extensions/FlaggedRevs from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/FlaggedRevs
INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/CodeEditor:Prepared mediawiki/extensions/CodeEditor repo with branch master at commit c0dfb07e89eb8ad49eb9a786600ce1126850fd49
INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:Creating repo mediawiki/extensions/GuidedTour from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/GuidedTour
INFO:zuul.Cloner.mediawiki/extensions/EventBus:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/EventLogging:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/EventBus:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/CheckUser:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/EventBus:Prepared mediawiki/extensions/EventBus repo with branch master at commit def81b12c0706d3d0616b0e4a652102f2d0540d7
INFO:zuul.Cloner.mediawiki/extensions/MobileApp:Creating repo mediawiki/extensions/MobileApp from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/MobileApp
INFO:zuul.Cloner.mediawiki/extensions/EventStreamConfig:Prepared mediawiki/extensions/EventStreamConfig repo with branch master at commit 0ad87f26cff825f9eb04e0cabb0e429fb996b935
INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Creating repo mediawiki/extensions/MobileFrontend from cache /srv/git/mediawiki/extensions/MobileFrontend.git
INFO:zuul.Cloner.mediawiki/extensions/EventLogging:Prepared mediawiki/extensions/EventLogging repo with branch master at commit 4068546daf0eed88987c6d07cf17083a440acf0e
INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:Creating repo mediawiki/extensions/ParserFunctions from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/ParserFunctions
INFO:zuul.Cloner.mediawiki/extensions/ConfirmEdit:Prepared mediawiki/extensions/ConfirmEdit repo with branch master at commit 0e2298036d94c613d849ab7565798a4b4f837be1
INFO:zuul.Cloner.mediawiki/extensions/Renameuser:Creating repo mediawiki/extensions/Renameuser from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/Renameuser
INFO:zuul.Cloner.mediawiki/extensions/CheckUser:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/CheckUser:Prepared mediawiki/extensions/CheckUser repo with branch master at commit 857d793ea079b598cd229a3bf23904bcc43a9126
INFO:zuul.Cloner.mediawiki/extensions/RevisionSlider:Creating repo mediawiki/extensions/RevisionSlider from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/RevisionSlider
INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Updating origin remote in repo mediawiki/extensions/MobileFrontend to https://gerrit.wikimedia.org/r/mediawiki/extensions/MobileFrontend
INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/GuidedTour:Prepared mediawiki/extensions/GuidedTour repo with branch master at commit 1c548909fed5eb01195d2030197db4e6a8c92b27
INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Creating repo mediawiki/extensions/Scribunto from cache /srv/git/mediawiki/extensions/Scribunto.git
INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Updating origin remote in repo mediawiki/extensions/Scribunto to https://gerrit.wikimedia.org/r/mediawiki/extensions/Scribunto
INFO:zuul.Cloner.mediawiki/extensions/MobileApp:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/MobileApp:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/MobileApp:Prepared mediawiki/extensions/MobileApp repo with branch master at commit 11203decc339feab3ad058eff193584ca8ce448d
INFO:zuul.Cloner.mediawiki/extensions/SyntaxHighlight_GeSHi:Creating repo mediawiki/extensions/SyntaxHighlight_GeSHi from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/SyntaxHighlight_GeSHi
INFO:zuul.Cloner.mediawiki/extensions/RevisionSlider:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/RevisionSlider:Prepared mediawiki/extensions/RevisionSlider repo with commit 947aa4702a9c638b43454f36f5e958e56596a05f
INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Creating repo mediawiki/extensions/TemplateData from cache /srv/git/mediawiki/extensions/TemplateData.git
INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Updating origin remote in repo mediawiki/extensions/TemplateData to https://gerrit.wikimedia.org/r/mediawiki/extensions/TemplateData
INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/ParserFunctions:Prepared mediawiki/extensions/ParserFunctions repo with branch master at commit 50a54899824e646c5c0d84479e497eefd8106611
INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Creating repo mediawiki/extensions/VisualEditor from cache /srv/git/mediawiki/extensions/VisualEditor.git
INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Updating origin remote in repo mediawiki/extensions/VisualEditor to https://gerrit.wikimedia.org/r/mediawiki/extensions/VisualEditor
INFO:zuul.Cloner.mediawiki/extensions/Renameuser:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/Renameuser:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/Renameuser:Prepared mediawiki/extensions/Renameuser repo with branch master at commit 8a9390485b25d4c3a7b2c7267e019d336439fffd
INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:Creating repo mediawiki/extensions/WikiEditor from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikiEditor
INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/Scribunto:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/TemplateData:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/Scribunto:Prepared mediawiki/extensions/Scribunto repo with branch master at commit 04f0866a88d59c1b31f7db13eea617e885bc1dba
INFO:zuul.Cloner.mediawiki/extensions/WikimediaEvents:Creating repo mediawiki/extensions/WikimediaEvents from upstream https://gerrit.wikimedia.org/r/mediawiki/extensions/WikimediaEvents
INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/MobileFrontend:Prepared mediawiki/extensions/MobileFrontend repo with branch master at commit edc7f4419c83e6a82816209d63cb711f3e807281
INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Creating repo mediawiki/skins/MinervaNeue from cache /srv/git/mediawiki/skins/MinervaNeue.git
INFO:zuul.Cloner.mediawiki/extensions/SyntaxHighlight_GeSHi:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/TemplateData:Prepared mediawiki/extensions/TemplateData repo with branch master at commit d1ffdc2b95926526e3377206498c18c022d9e26c
INFO:zuul.Cloner.mediawiki/skins/Vector:Creating repo mediawiki/skins/Vector from cache /srv/git/mediawiki/skins/Vector.git
INFO:zuul.Cloner.mediawiki/extensions/SyntaxHighlight_GeSHi:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/SyntaxHighlight_GeSHi:Prepared mediawiki/extensions/SyntaxHighlight_GeSHi repo with branch master at commit 7ae1ea95e556deb0b24343fa58918b94993c93ef
INFO:zuul.Cloner.mediawiki/vendor:Creating repo mediawiki/vendor from cache /srv/git/mediawiki/vendor.git
INFO:zuul.Cloner.mediawiki/skins/Vector:Updating origin remote in repo mediawiki/skins/Vector to https://gerrit.wikimedia.org/r/mediawiki/skins/Vector
INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Updating origin remote in repo mediawiki/skins/MinervaNeue to https://gerrit.wikimedia.org/r/mediawiki/skins/MinervaNeue
INFO:zuul.Cloner.mediawiki/extensions/WikimediaEvents:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/WikimediaEvents:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/WikimediaEvents:Prepared mediawiki/extensions/WikimediaEvents repo with branch master at commit a978fa0f1d7887dcec1ddd17cf2d3d66cf775fd7
INFO:zuul.Cloner.mediawiki/extensions/FlaggedRevs:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/FlaggedRevs:Falling back to branch master
INFO:zuul.Cloner.mediawiki/skins/Vector:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/vendor:Updating origin remote in repo mediawiki/vendor to https://gerrit.wikimedia.org/r/mediawiki/vendor
INFO:zuul.Cloner.mediawiki/extensions/FlaggedRevs:Prepared mediawiki/extensions/FlaggedRevs repo with branch master at commit b970c0f27a9ecd63186213c1e6a48875f71e9237
INFO:zuul.Cloner.mediawiki/skins/Vector:Falling back to branch master
INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/skins/Vector:Prepared mediawiki/skins/Vector repo with branch master at commit 9ef3149c903177bdf7b7c6687b604ace89f9042e
INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Falling back to branch master
INFO:zuul.Cloner.mediawiki/skins/MinervaNeue:Prepared mediawiki/skins/MinervaNeue repo with branch master at commit d075f779b9b9ef61a44308f32a26616dc3f4b459
INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/VisualEditor:Prepared mediawiki/extensions/VisualEditor repo with branch master at commit 4371c4fde2ff74a1c667336304f06ebe26a96b19
INFO:zuul.Cloner.mediawiki/vendor:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/vendor:Falling back to branch master
INFO:zuul.Cloner.mediawiki/vendor:Prepared mediawiki/vendor repo with branch master at commit 149769af1b09149e710bc027349d3aba12a35ab0
INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/WikiEditor:Prepared mediawiki/extensions/WikiEditor repo with branch master at commit b815fa6bd15ecc1ad6e03b29edcbe328629f6388
INFO:zuul.Cloner.mediawiki/extensions/CentralAuth:upstream repo has branch master
INFO:zuul.Cloner.mediawiki/extensions/CentralAuth:Falling back to branch master
INFO:zuul.Cloner.mediawiki/extensions/CentralAuth:Prepared mediawiki/extensions/CentralAuth repo with branch master at commit fd9e61470449a38f57fc634f48795c50720b02f7
INFO:quibble.zuul.clone:Prepared all repositories
INFO:quibble.commands:<<< Finish: Zuul clone with parameters {"cache_dir": "/srv/git", "projects": ["mediawiki/core", "mediawiki/extensions/AbuseFilter", "mediawiki/extensions/AntiSpoof", "mediawiki/extensions/CentralAuth", "mediawiki/extensions/CheckUser", "mediawiki/extensions/Cite", "mediawiki/extensions/CodeEditor", "mediawiki/extensions/ConfirmEdit", "mediawiki/extensions/Echo", "mediawiki/extensions/EventBus", "mediawiki/extensions/EventLogging", "mediawiki/extensions/EventStreamConfig", "mediawiki/extensions/FlaggedRevs", "mediawiki/extensions/GuidedTour", "mediawiki/extensions/MobileApp", "mediawiki/extensions/MobileFrontend", "mediawiki/extensions/ParserFunctions", "mediawiki/extensions/Renameuser", "mediawiki/extensions/RevisionSlider", "mediawiki/extensions/Scribunto", "mediawiki/extensions/SyntaxHighlight_GeSHi", "mediawiki/extensions/TemplateData", "mediawiki/extensions/VisualEditor", "mediawiki/extensions/WikiEditor", "mediawiki/extensions/WikimediaEvents", "mediawiki/skins/MinervaNeue", "mediawiki/skins/Vector", "mediawiki/vendor"], "workers": 8, "workspace": "/workspace/src", "zuul_branch": "master", "zuul_project": "mediawiki/extensions/RevisionSlider", "zuul_ref": "refs/zuul/master/Zf08be733576248e1a1e81d0c2ff09071", "zuul_url": "git://contint1001.wikimedia.org"}, in 25.266 s
INFO:quibble.commands:>>> Start: Extension and skin submodule update under MediaWiki root /workspace/src
INFO:quibble.commands:Updating git submodules of extensions and skins
Submodule 'lib/ve' (https://gerrit.wikimedia.org/r/VisualEditor/VisualEditor.git) registered for path 'lib/ve'
Cloning into '/workspace/src/extensions/VisualEditor/lib/ve'...
Submodule path 'lib/ve': checked out 'c5804af0ab37920da4642088bdad833571c7cda2'
c5804af0ab37920da4642088bdad833571c7cda2 lib/ve (remotes/origin/wmf/1.39.0-wmf.18)
INFO:quibble.commands:<<< Finish: Extension and skin submodule update under MediaWiki root /workspace/src, in 6.029 s
INFO:quibble.commands:>>> Start: Install composer dev-requires for vendor.git
INFO:quibble.commands:vendor.git used. Requiring composer dev dependencies
DEBUG:quibble.commands:composer require ext-simplexml=* composer/spdx-licenses=1.5.6 doctrine/dbal=2.13.6||3.1.5 doctrine/sql-formatter=1.1.1 giorgiosironi/eris=^0.10.0 hamcrest/hamcrest-php=^2.0 johnkary/phpunit-speedtrap=^4.0 mediawiki/mediawiki-codesniffer=38.0.0 mediawiki/mediawiki-phan-config=0.11.1 nikic/php-parser=^4.10.2 php-parallel-lint/php-console-highlighter=0.5 php-parallel-lint/php-parallel-lint=1.3.1 phpunit/phpunit=^8.5 psy/psysh=^0.11.1 seld/jsonlint=1.8.3 wikimedia/alea=^0.9.3 wikimedia/testing-access-wrapper=~2.0 wmde/hamcrest-html-matchers=^1.0.0
> init: Wikimedia\Composer\Merge\V2\MergePlugin->onInit
nikic/php-parser is currently present in the require key and you ran the command with the --dev flag, which would move it to the require-dev key.
psy/psysh is currently present in the require key and you ran the command with the --dev flag, which would move it to the require-dev key.
wikimedia/testing-access-wrapper is currently present in the require key and you ran the command with the --dev flag, which would move it to the require-dev key.
./composer.json has been updated
> init: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onInit
Running composer update ext-simplexml composer/spdx-licenses doctrine/dbal doctrine/sql-formatter giorgiosironi/eris hamcrest/hamcrest-php johnkary/phpunit-speedtrap mediawiki/mediawiki-codesniffer mediawiki/mediawiki-phan-config nikic/php-parser php-parallel-lint/php-console-highlighter php-parallel-lint/php-parallel-lint phpunit/phpunit psy/psysh seld/jsonlint wikimedia/alea wikimedia/testing-access-wrapper wmde/hamcrest-html-matchers
> pre-update-cmd: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onInstallUpdateOrDump
Loading composer repositories with package information
Reading composer.json of league/oauth2-server (0.1) Reading composer.json of league/oauth2-server (0.2)Reading composer.json of league/oauth2-server (0.2.1)Reading composer.json of league/oauth2-server (0.2.2)Reading composer.json of league/oauth2-server (0.2.3)Reading composer.json of league/oauth2-server (0.3) Reading composer.json of league/oauth2-server (0.3.1)Reading composer.json of league/oauth2-server (0.3.2)Reading composer.json of league/oauth2-server (0.3.3)Reading composer.json of league/oauth2-server (0.3.4)Reading composer.json of league/oauth2-server (0.3.5)Reading composer.json of league/oauth2-server (0.4) Reading composer.json of league/oauth2-server (0.4.1)Reading composer.json of league/oauth2-server (0.4.2)Reading composer.json of league/oauth2-server (1.0.0)Reading composer.json of league/oauth2-server (1.0.1)Reading composer.json of league/oauth2-server (1.0.2)Reading composer.json of league/oauth2-server (1.0.3)Reading composer.json of league/oauth2-server (1.0.4)Reading composer.json of league/oauth2-server (1.0.5)Reading composer.json of league/oauth2-server (1.0.6)Reading composer.json of league/oauth2-server (1.0.7)Reading composer.json of league/oauth2-server (1.0.8)Reading composer.json of league/oauth2-server (1.0.9)Reading composer.json of league/oauth2-server (2.0) Reading composer.json of league/oauth2-server (2.0.1)Reading composer.json of league/oauth2-server (2.0.2)Reading composer.json of league/oauth2-server (2.0.3)Reading composer.json of league/oauth2-server (2.0.4)Reading composer.json of league/oauth2-server (2.0.5)Reading composer.json of league/oauth2-server (2.1) Reading composer.json of league/oauth2-server (2.1.1)Reading composer.json of league/oauth2-server (2.1.2)Reading composer.json of league/oauth2-server (2.1.3)Reading composer.json of league/oauth2-server (3.0.0)Reading composer.json of league/oauth2-server (3.0.1)Reading composer.json of league/oauth2-server (3.1.0)Reading composer.json of league/oauth2-server (3.1.1)Reading composer.json of league/oauth2-server (3.1.2)Reading composer.json of league/oauth2-server (3.2) Reading composer.json of league/oauth2-server (3.2.1)Reading composer.json of league/oauth2-server (3.2.2)Reading composer.json of league/oauth2-server (3.2.3)Reading composer.json of league/oauth2-server (3.2.4)Reading composer.json of league/oauth2-server (4.0.0)Reading composer.json of league/oauth2-server (4.0.1)Reading composer.json of league/oauth2-server (4.0.2)Reading composer.json of league/oauth2-server (4.0.3)Reading composer.json of league/oauth2-server (4.0.4)Reading composer.json of league/oauth2-server (4.0.5)Reading composer.json of league/oauth2-server (4.1.0)Reading composer.json of league/oauth2-server (4.1.1)Reading composer.json of league/oauth2-server (4.1.2)Reading composer.json of league/oauth2-server (4.1.3)Reading composer.json of league/oauth2-server (4.1.4)Reading composer.json of league/oauth2-server (4.1.5)Reading composer.json of league/oauth2-server (4.1.6)Reading composer.json of league/oauth2-server (4.1.7)Reading composer.json of league/oauth2-server (5.0.0)Reading composer.json of league/oauth2-server (5.0.0-RC1)Reading composer.json of league/oauth2-server (5.0.0-RC2)Reading composer.json of league/oauth2-server (5.0.1) Reading composer.json of league/oauth2-server (5.0.2)Reading composer.json of league/oauth2-server (5.0.3)Reading composer.json of league/oauth2-server (5.1.0)Reading composer.json of league/oauth2-server (5.1.1)Reading composer.json of league/oauth2-server (5.1.2)Reading composer.json of league/oauth2-server (5.1.3)Reading composer.json of league/oauth2-server (5.1.4)Reading composer.json of league/oauth2-server (5.1.5)Reading composer.json of league/oauth2-server (5.1.6)Reading composer.json of league/oauth2-server (6.0.0)Reading composer.json of league/oauth2-server (6.0.1)Reading composer.json of league/oauth2-server (6.0.2)Reading composer.json of league/oauth2-server (6.1.0)Reading composer.json of league/oauth2-server (6.1.1)Reading composer.json of league/oauth2-server (7.0.0)Reading composer.json of league/oauth2-server (7.1.0)Reading composer.json of league/oauth2-server (7.1.1)Reading composer.json of league/oauth2-server (7.2.0)Reading composer.json of league/oauth2-server (7.3.0)Reading composer.json of league/oauth2-server (7.3.1)Reading composer.json of league/oauth2-server (7.3.2)Reading composer.json of league/oauth2-server (7.3.3)Reading composer.json of league/oauth2-server (7.4.0)Reading composer.json of league/oauth2-server (8.0.0)Reading composer.json of league/oauth2-server (8.1.0)Reading composer.json of league/oauth2-server (8.1.1)Reading composer.json of league/oauth2-server (8.2.0)Reading composer.json of league/oauth2-server (8.2.1)Reading composer.json of league/oauth2-server (8.2.2)Reading composer.json of league/oauth2-server (8.2.3)Reading composer.json of league/oauth2-server (8.2.4)Reading composer.json of league/oauth2-server (8.3.0)Reading composer.json of league/oauth2-server (8.3.1)Reading composer.json of league/oauth2-server (8.3.2)Reading composer.json of league/oauth2-server (8.3.3) Reading composer.json of league/oauth2-server (v9.0.0-alpha)Reading composer.json of league/oauth2-server (dev-issuer) Reading composer.json of league/oauth2-server (issuer) Reading composer.json of league/oauth2-server (master) Info from https://repo.packagist.org: #StandWithUkraine
Updating dependencies
Dependency resolution completed in 0.002 seconds
Analyzed 411 packages to resolve dependencies
Analyzed 1194 rules to resolve dependencies
Dependency resolution completed in 0.001 seconds
Lock file operations: 54 installs, 1 update, 0 removals
Installs: composer/pcre:1.0.1, doctrine/event-manager:1.1.1, doctrine/deprecations:v0.5.3, doctrine/cache:2.2.0, doctrine/dbal:2.13.6, doctrine/sql-formatter:1.1.1, giorgiosironi/eris:0.10.0, sebastian/version:2.0.1, sebastian/type:1.1.4, sebastian/resource-operations:2.0.2, sebastian/recursion-context:3.0.1, sebastian/object-reflector:1.1.2, sebastian/object-enumerator:3.0.4, sebastian/global-state:3.0.2, sebastian/exporter:3.1.4, sebastian/environment:4.2.4, sebastian/diff:3.0.3, sebastian/comparator:3.0.3, phpunit/php-timer:2.1.3, phpunit/php-text-template:1.2.1, phpunit/php-file-iterator:2.0.5, theseer/tokenizer:1.2.1, sebastian/code-unit-reverse-lookup:1.0.2, phpunit/php-token-stream:3.1.3, phpunit/php-code-coverage:7.0.15, doctrine/instantiator:1.4.1, phpdocumentor/reflection-common:2.2.0, webmozart/assert:1.11.0, phpdocumentor/type-resolver:1.6.1, phpdocumentor/reflection-docblock:5.3.0, phpspec/prophecy:v1.15.0, phar-io/version:3.2.1, phar-io/manifest:2.0.3, myclabs/deep-copy:1.11.0, phpunit/phpunit:8.5.27, johnkary/phpunit-speedtrap:v4.0.0, squizlabs/php_codesniffer:3.6.1, composer/spdx-licenses:1.5.6, mediawiki/mediawiki-codesniffer:v38.0.0, tysonandre/var_representation_polyfill:0.1.1, sabre/event:5.1.4, netresearch/jsonmapper:v4.0.0, microsoft/tolerant-php-parser:v0.1.1, felixfbecker/advanced-json-rpc:v3.2.1, composer/xdebug-handler:2.0.5, phan/phan:5.2.0, mediawiki/phan-taint-check-plugin:3.3.2, mediawiki/mediawiki-phan-config:0.11.1, php-parallel-lint/php-console-color:v0.3, php-parallel-lint/php-console-highlighter:v0.5, seld/jsonlint:1.8.3, wikimedia/alea:0.9.3, hamcrest/hamcrest-php:v2.0.1, wmde/hamcrest-html-matchers:v1.0.0
Updates: nikic/php-parser:v4.14.0
- Locking composer/pcre (1.0.1)
- Locking composer/spdx-licenses (1.5.6)
- Locking composer/xdebug-handler (2.0.5)
- Locking doctrine/cache (2.2.0)
- Locking doctrine/dbal (2.13.6)
- Locking doctrine/deprecations (v0.5.3)
- Locking doctrine/event-manager (1.1.1)
- Locking doctrine/instantiator (1.4.1)
- Locking doctrine/sql-formatter (1.1.1)
- Locking felixfbecker/advanced-json-rpc (v3.2.1)
- Locking giorgiosironi/eris (0.10.0)
- Locking hamcrest/hamcrest-php (v2.0.1)
- Locking johnkary/phpunit-speedtrap (v4.0.0)
- Locking mediawiki/mediawiki-codesniffer (v38.0.0)
- Locking mediawiki/mediawiki-phan-config (0.11.1)
- Locking mediawiki/phan-taint-check-plugin (3.3.2)
- Locking microsoft/tolerant-php-parser (v0.1.1)
- Locking myclabs/deep-copy (1.11.0)
- Locking netresearch/jsonmapper (v4.0.0)
- Upgrading nikic/php-parser (v4.13.2 => v4.14.0)
- Locking phan/phan (5.2.0)
- Locking phar-io/manifest (2.0.3)
- Locking phar-io/version (3.2.1)
- Locking php-parallel-lint/php-console-color (v0.3)
- Locking php-parallel-lint/php-console-highlighter (v0.5)
- Locking phpdocumentor/reflection-common (2.2.0)
- Locking phpdocumentor/reflection-docblock (5.3.0)
- Locking phpdocumentor/type-resolver (1.6.1)
- Locking phpspec/prophecy (v1.15.0)
- Locking phpunit/php-code-coverage (7.0.15)
- Locking phpunit/php-file-iterator (2.0.5)
- Locking phpunit/php-text-template (1.2.1)
- Locking phpunit/php-timer (2.1.3)
- Locking phpunit/php-token-stream (3.1.3)
- Locking phpunit/phpunit (8.5.27)
- Locking sabre/event (5.1.4)
- Locking sebastian/code-unit-reverse-lookup (1.0.2)
- Locking sebastian/comparator (3.0.3)
- Locking sebastian/diff (3.0.3)
- Locking sebastian/environment (4.2.4)
- Locking sebastian/exporter (3.1.4)
- Locking sebastian/global-state (3.0.2)
- Locking sebastian/object-enumerator (3.0.4)
- Locking sebastian/object-reflector (1.1.2)
- Locking sebastian/recursion-context (3.0.1)
- Locking sebastian/resource-operations (2.0.2)
- Locking sebastian/type (1.1.4)
- Locking sebastian/version (2.0.1)
- Locking seld/jsonlint (1.8.3)
- Locking squizlabs/php_codesniffer (3.6.1)
- Locking theseer/tokenizer (1.2.1)
- Locking tysonandre/var_representation_polyfill (0.1.1)
- Locking webmozart/assert (1.11.0)
- Locking wikimedia/alea (0.9.3)
- Locking wmde/hamcrest-html-matchers (v1.0.0)
Writing lock file
Installing dependencies from lock file (including require-dev)
Package operations: 55 installs, 1 update, 0 removals
Installs: composer/pcre:1.0.1, doctrine/event-manager:1.1.1, doctrine/deprecations:v0.5.3, doctrine/cache:2.2.0, doctrine/dbal:2.13.6, doctrine/sql-formatter:1.1.1, giorgiosironi/eris:0.10.0, sebastian/version:2.0.1, sebastian/type:1.1.4, sebastian/resource-operations:2.0.2, sebastian/recursion-context:3.0.1, sebastian/object-reflector:1.1.2, sebastian/object-enumerator:3.0.4, sebastian/global-state:3.0.2, sebastian/exporter:3.1.4, sebastian/environment:4.2.4, sebastian/diff:3.0.3, sebastian/comparator:3.0.3, phpunit/php-timer:2.1.3, phpunit/php-text-template:1.2.1, phpunit/php-file-iterator:2.0.5, theseer/tokenizer:1.2.1, sebastian/code-unit-reverse-lookup:1.0.2, phpunit/php-token-stream:3.1.3, phpunit/php-code-coverage:7.0.15, webmozart/assert:1.11.0, phpdocumentor/reflection-common:2.2.0, phpdocumentor/type-resolver:1.6.1, phpdocumentor/reflection-docblock:5.3.0, doctrine/instantiator:1.4.1, phpspec/prophecy:v1.15.0, phar-io/version:3.2.1, phar-io/manifest:2.0.3, myclabs/deep-copy:1.11.0, phpunit/phpunit:8.5.27, johnkary/phpunit-speedtrap:v4.0.0, squizlabs/php_codesniffer:3.6.1, composer/spdx-licenses:1.5.6, mediawiki/mediawiki-codesniffer:v38.0.0, tysonandre/var_representation_polyfill:0.1.1, sabre/event:5.1.4, netresearch/jsonmapper:v4.0.0, microsoft/tolerant-php-parser:v0.1.1, felixfbecker/advanced-json-rpc:v3.2.1, composer/xdebug-handler:2.0.5, phan/phan:5.2.0, mediawiki/phan-taint-check-plugin:3.3.2, mediawiki/mediawiki-phan-config:0.11.1, php-parallel-lint/php-console-color:v0.3, php-parallel-lint/php-console-highlighter:v0.5, php-parallel-lint/php-parallel-lint:v1.3.1, seld/jsonlint:1.8.3, wikimedia/alea:0.9.3, hamcrest/hamcrest-php:v2.0.1, wmde/hamcrest-html-matchers:v1.0.0
Updates: nikic/php-parser:v4.14.0
- Downloading doctrine/cache (2.2.0)
- Downloading webmozart/assert (1.11.0)
- Downloading phpdocumentor/type-resolver (1.6.1)
- Downloading phpunit/phpunit (8.5.27)
- Downloading composer/spdx-licenses (1.5.6)
- Downloading mediawiki/mediawiki-phan-config (0.11.1)
- Downloading nikic/php-parser (v4.14.0)
- Downloading wikimedia/alea (0.9.3)
- Installing composer/pcre (1.0.1): Extracting archive
- Installing doctrine/event-manager (1.1.1): Extracting archive
- Installing doctrine/deprecations (v0.5.3): Extracting archive
- Installing doctrine/cache (2.2.0): Extracting archive
- Installing doctrine/dbal (2.13.6): Extracting archive
- Installing doctrine/sql-formatter (1.1.1): Extracting archive
- Installing giorgiosironi/eris (0.10.0): Extracting archive
- Installing sebastian/version (2.0.1): Extracting archive
- Installing sebastian/type (1.1.4): Extracting archive
- Installing sebastian/resource-operations (2.0.2): Extracting archive
- Installing sebastian/recursion-context (3.0.1): Extracting archive
- Installing sebastian/object-reflector (1.1.2): Extracting archive
- Installing sebastian/object-enumerator (3.0.4): Extracting archive
- Installing sebastian/global-state (3.0.2): Extracting archive
- Installing sebastian/exporter (3.1.4): Extracting archive
- Installing sebastian/environment (4.2.4): Extracting archive
- Installing sebastian/diff (3.0.3): Extracting archive
- Installing sebastian/comparator (3.0.3): Extracting archive
- Installing phpunit/php-timer (2.1.3): Extracting archive
- Installing phpunit/php-text-template (1.2.1): Extracting archive
- Installing phpunit/php-file-iterator (2.0.5): Extracting archive
- Installing theseer/tokenizer (1.2.1): Extracting archive
- Installing sebastian/code-unit-reverse-lookup (1.0.2): Extracting archive
- Installing phpunit/php-token-stream (3.1.3): Extracting archive
- Installing phpunit/php-code-coverage (7.0.15): Extracting archive
- Installing webmozart/assert (1.11.0): Extracting archive
- Installing phpdocumentor/reflection-common (2.2.0): Extracting archive
- Installing phpdocumentor/type-resolver (1.6.1): Extracting archive
- Installing phpdocumentor/reflection-docblock (5.3.0): Extracting archive
- Installing doctrine/instantiator (1.4.1): Extracting archive
- Installing phpspec/prophecy (v1.15.0): Extracting archive
- Installing phar-io/version (3.2.1): Extracting archive
- Installing phar-io/manifest (2.0.3): Extracting archive
- Installing myclabs/deep-copy (1.11.0): Extracting archive
- Installing phpunit/phpunit (8.5.27): Extracting archive
- Installing johnkary/phpunit-speedtrap (v4.0.0): Extracting archive
- Installing squizlabs/php_codesniffer (3.6.1): Extracting archive
- Installing composer/spdx-licenses (1.5.6): Extracting archive
- Installing mediawiki/mediawiki-codesniffer (v38.0.0): Extracting archive
- Installing tysonandre/var_representation_polyfill (0.1.1): Extracting archive
- Installing sabre/event (5.1.4): Extracting archive
- Installing netresearch/jsonmapper (v4.0.0): Extracting archive
- Installing microsoft/tolerant-php-parser (v0.1.1): Extracting archive
- Installing felixfbecker/advanced-json-rpc (v3.2.1): Extracting archive
- Installing composer/xdebug-handler (2.0.5): Extracting archive
- Installing phan/phan (5.2.0): Extracting archive
- Installing mediawiki/phan-taint-check-plugin (3.3.2): Extracting archive
- Installing mediawiki/mediawiki-phan-config (0.11.1): Extracting archive
- Installing php-parallel-lint/php-console-color (v0.3): Extracting archive
- Installing php-parallel-lint/php-console-highlighter (v0.5): Extracting archive
- Installing php-parallel-lint/php-parallel-lint (v1.3.1): Extracting archive
- Upgrading nikic/php-parser (v4.13.2 => v4.14.0): Extracting archive
- Installing seld/jsonlint (1.8.3): Extracting archive
- Installing wikimedia/alea (0.9.3): Extracting archive
- Installing hamcrest/hamcrest-php (v2.0.1): Extracting archive
- Installing wmde/hamcrest-html-matchers (v1.0.0): Extracting archive
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
> post-package-install: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostPackageInstall
9 package suggestions were added by new dependencies, use `composer suggest` to see details.
Package guzzlehttp/ringphp is abandoned, you should avoid using it. No replacement was suggested.
Package guzzlehttp/streams is abandoned, you should avoid using it. No replacement was suggested.
Package symfony/debug is abandoned, you should avoid using it. Use symfony/error-handler instead.
Package phpunit/php-token-stream is abandoned, you should avoid using it. No replacement was suggested.
Generating optimized autoload files
> pre-autoload-dump: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onInstallUpdateOrDump
60 packages you are using are looking for funding.
Use the `composer fund` command to find out more!
> post-update-cmd: Wikimedia\Composer\Merge\V2\MergePlugin_composer_tmp0->onPostInstallOrUpdate
Generating optimized autoload files (authoritative)
Generated optimized autoload files (authoritative) containing 6306 classes
INFO:quibble.util:Copying /workspace/src/composer.json to /workspace/log/composer.core.json.txt
INFO:quibble.util:Copying /workspace/src/vendor/composer.json to /workspace/log/composer.vendor.json.txt
INFO:quibble.util:Copying /workspace/src/vendor/composer/autoload_files.php to /workspace/log/composer.autoload_files.php.txt
INFO:quibble.commands:<<< Finish: Install composer dev-requires for vendor.git, in 8.549 s
INFO:quibble.commands:>>> Start: Start backends, <MySQL (no socket)>
INFO:backend.MySQL:Starting MySQL
INFO:backend.MySQL:Initializing MySQL data directory
INFO:backend.MySQL:Waiting for MySQL socket
INFO:backend.MySQL:Creating the wiki database and grant
INFO:backend.MySQL:MySQL is ready
INFO:quibble.commands:<<< Finish: Start backends, <MySQL (no socket)>, in 3.663 s
INFO:quibble.commands:>>> Start: Run Post-dependency install, pre-database dependent steps in parallel (concurrency=2):
* Install MediaWiki, db=<MySQL /workspace/db/quibble-mysql-k4ga18gt/socket> vendor=True
* npm install in /workspace/src
INFO:quibble.commands:>>> Start: Install MediaWiki, db=<MySQL /workspace/db/quibble-mysql-k4ga18gt/socket> vendor=True
php maintenance/install.php --scriptpath= --server=http://127.0.0.1:9413 --dbtype=mysql --dbname=wikidb --dbuser=wikiuser --dbpass=secret --dbserver=localhost:/workspace/db/quibble-mysql-k4ga18gt/socket --with-extensions --pass=testwikijenkinspass TestWiki WikiAdmin
PHP 7.2.34-18+0~20210223.60+debian10~1.gbpb21322+wmf5 is installed.
Found ImageMagick: /usr/bin/convert. Image thumbnailing will be enabled if you enable uploads.
Found the Git version control software: /usr/bin/git.
Using server name "http://localhost".
Using server URL "http://127.0.0.1:9413".
Warning: Your default directory for uploads (/workspace/src/images/) is not checked for vulnerability to arbitrary script execution during the CLI install.
Using the PHP intl extension for Unicode normalization.
The environment has been checked. You can install MediaWiki.
Including extensions
done
Setting up database
done
Creating tables, step one
done
Creating database user
done
Creating tables, step two
done
Populating default interwiki table
done
Initializing statistics
done
Generating secret keys
done
Prevent running unneeded updates
done
Restoring mediawiki services
done
Creating administrator user account
done
Creating main page with default content
done
Creating tables for enabled extensions
Creating spoofuser table...done.
Creating cu_changes table...done.
Modifying cuc_id field of table cu_changes...done.
...index cuc_actor_ip_time already set on cu_changes table.
Modifying cuc_timestamp field of table cu_changes...done.
Creating echo_event table...done.
...user_event key doesn't exist.
Running extensions/Echo/maintenance/updateEchoSchemaForSuppression.php...
No event_page_title field, skipping migration from event_page_title to event_page_id
done.
...echo_event table does not contain event_page_namespace field.
...echo_event table does not contain event_page_title field.
...echo_notification table does not contain notification_bundle_base field.
...echo_notification table does not contain notification_bundle_display_hash field.
...echo_notification_user_hash_timestamp key doesn't exist.
Creating echo_push_provider table...done.
Creating echo_push_topic table...done.
Creating echo_push_subscription table...done.
...flaggedimages doesn't exist.
Creating flaggedrevs table...done.
...index fr_user already set on flaggedrevs table.
...flaggedtemplates table does not contain ft_title field.
...flaggedrevs table does not contain fr_img_name field.
...flaggedpage_config table does not contain fpc_select field.
Creating abuse_filter table...done.
...abuse_filter_log table does not contain afl_log_id field.
...have afl_filter_id field in abuse_filter_log table.
...index afl_ip_timestamp already set on abuse_filter_log table.
...index afl_wiki_timestamp already set on abuse_filter_log table.
...skipping: index filter_timestamp doesn't exist.
...abuse_filter_log table does not contain afl_filter field.
done
Database was successfully set up
MediaWiki has been successfully installed. You can now visit <http://127.0.0.1:9413> to view your wiki. If you have questions, check out our frequently asked questions list: <https://www.mediawiki.org/wiki/Special:MyLanguage/Manual:FAQ> or use one of the support forums linked on that page.
Copying /workspace/src/LocalSettings.php to /workspace/log/LocalSettings.php
Copying /workspace/src/LocalSettings-installer.php to /workspace/log/LocalSettings-installer.php
No syntax errors detected in /workspace/src/LocalSettings.php
mediawiki/vendor used. Skipping external dependencies
php maintenance/update.php --quick --skip-external-dependencies
MediaWiki 1.39.0-alpha Updater
Skipping checking whether external dependencies are up to date, proceed at your own risk
Going to run database updates for wikidb
Depending on the size of your database this may take a while!
...collations up-to-date.
...have rev_actor field in revision table.
...have img_description_id field in image table.
Migrating comments to the 'comments' table, printing progress markers. For large
databases, you may want to hit Ctrl-C and do this manually with
maintenance/migrateComments.php.
No need to migrate revision.rev_comment, field does not exist
No need to migrate archive.ar_comment, field does not exist
No need to migrate ipblocks.ipb_reason, field does not exist
No need to migrate image.img_description, field does not exist
No need to migrate oldimage.oi_description, field does not exist
No need to migrate filearchive.fa_deleted_reason, field does not exist
No need to migrate filearchive.fa_description, field does not exist
No need to migrate recentchanges.rc_comment, field does not exist
No need to migrate logging.log_comment, field does not exist
No need to migrate protected_titles.pt_reason, field does not exist
done.
...slots table already exists.
...have slot_origin field in slots table.
...content table already exists.
...slot_roles table already exists.
...content_models table already exists.
...actor table already exists.
...have ar_actor field in archive table.
...have ipb_by_actor field in ipblocks table.
...have img_actor field in image table.
...have oi_actor field in oldimage table.
...have fa_actor field in filearchive table.
...have rc_actor field in recentchanges table.
...have log_actor field in logging table.
Migrating actors to the 'actor' table, printing progress markers. For large
databases, you may want to hit Ctrl-C and do this manually with
maintenance/migrateActors.php.
Creating actor entries for all registered users
... 1 - 3
Completed actor creation, added 0 new actor(s)
No need to migrate revision.rev_user, field does not exist
No need to migrate archive.ar_user, field does not exist
No need to migrate ipblocks.ipb_by, field does not exist
No need to migrate image.img_user, field does not exist
No need to migrate oldimage.oi_user, field does not exist
No need to migrate filearchive.fa_user, field does not exist
No need to migrate recentchanges.rc_user, field does not exist
No need to migrate logging.log_user, field does not exist
Beginning migration of log_search
Completed migration, inserted 0 row(s) with 0 new actor(s), 0 error(s)
done.
Modifying table site_stats...done.
...index rc_namespace_title_timestamp already set on recentchanges table.
...change_tag_def table already exists.
Populating el_index_60 field, printing progress markers. For large
databases, you may want to hit Ctrl-C and do this manually with
maintenance/populateExternallinksIndex60.php.
Populating externallinks.el_index_60...
el_id 0 - 200 of 6
Done, 0 rows updated.
done.
Removing 'externallinks.el_index_60' default value.
Running maintenance/deduplicateArchiveRevId.php...
Deduplicating ar_rev_id...
New install, nothing to do here.
done.
...have ct_tag_id field in change_tag table.
...index ar_revid_uniq already set on archive table.
Migrating revision data to the MCR 'slot' and 'content' tables, printing progress markers.
For large databases, you may want to hit Ctrl-C and do this manually with
maintenance/populateContentTables.php.
Populating revision...
No need to populate, revision.rev_text_id field does not exist
Populating archive...
No need to populate, archive.ar_text_id field does not exist
Done. Processed 0 rows in 0.004889965057373 seconds
done.
...index log_type_action already set on logging table.
...type_action key doesn't exist.
...index PRIMARY already set on interwiki table.
...index PRIMARY already set on page_props table.
...index PRIMARY already set on protected_titles table.
...index PRIMARY already set on site_identifiers table.
...index rc_this_oldid already set on recentchanges table.
...transcache doesn't exist.
Running maintenance/populateChangeTagDef.php...
done.
...change_tag_rc_tag key doesn't exist.
...have ipb_sitewide field in ipblocks table.
...ipblocks_restrictions table already exists.
...change_tag table does not contain ct_tag field.
...valid_tag doesn't exist.
...tag_summary doesn't exist.
...archive table does not contain ar_comment field.
...ipblocks table does not contain ipb_reason field.
...image table does not contain img_description field.
...oldimage table does not contain oi_description field.
...filearchive table does not contain fa_description field.
...recentchanges table does not contain rc_comment field.
...logging table does not contain log_comment field.
...protected_titles table does not contain pt_reason field.
Modifying table job...done.
...ar_usertext_timestamp key doesn't exist.
...usertext_timestamp key doesn't exist.
...archive table does not contain ar_user field.
...ipblocks table does not contain ip_by field.
...img_user_timestamp key doesn't exist.
...image table does not contain img_user field.
...oldimage table does not contain oi_user field.
...filearchive table does not contain fa_user field.
...recentchanges table does not contain rc_user field.
...logging table does not contain log_user field.
...index un_user_ip already set on user_newtalk table.
...watchlist_expiry table already exists.
...page_restrictions field does not exist in page table, skipping modify field patch.
...index ipb_address_unique already set on ipblocks table.
...archive table does not contain ar_text_id field.
...lc_lang is up-to-date.
...ll_lang is up-to-date.
...site_language is up-to-date.
...index ipb_address_unique on table ipblocks has no field ipb_anon_only; added.
...ipb_address_unique index up-to-date.
Modifying actor_name field of table actor...done.
Modifying site_global_key field of table sites...done.
Modifying iwl_prefix field of table iwlinks...done.
Modifying rd_title field of table redirect...done.
Modifying pl_title field of table pagelinks...done.
Modifying tl_title field of table templatelinks...done.
Modifying il_to field of table imagelinks...done.
Modifying ll_title field of table langlinks...done.
Modifying iwl_title field of table iwlinks...done.
Modifying cat_title field of table category...done.
Modifying qc_title field of table querycache...done.
Modifying qcc_title field of table querycachetwo...done.
Modifying wl_title field of table watchlist...done.
Modifying user_last_timestamp field of table user_newtalk...done.
Modifying pt_title field of table protected_titles...done.
Removing 'protected_titles.pt_expiry' default value.
Removing 'ip_changes.ipc_rev_timestamp' default value.
Modifying ir_type field of table ipblocks_restrictions...done.
...index wl_namespace_title already set on watchlist table.
Modifying job_title field of table job...done.
Modifying job_timestamp field of table job...done.
Modifying job_token_timestamp field of table job...done.
Modifying wl_notificationtimestamp field of table watchlist...done.
Modifying role_id field of table slot_roles...done.
Modifying model_id field of table content_models...done.
Modifying cl_to field of table categorylinks...done.
Modifying log_title field of table logging...done.
Modifying us_timestamp field of table uploadstash...done.
...index up_property already set on user_properties table.
...index site_global_key already set on sites table.
...index log_type_time already set on logging table.
Modifying fa_name field of table filearchive...done.
Removing 'filearchive.fa_deleted_timestamp' default value.
Removing 'filearchive.fa_timestamp' default value.
Modifying oi_name field of table oldimage...done.
Removing 'oldimage.oi_timestamp' default value.
Modifying exptime field of table objectcache...done.
Removing 'ipblocks.ipb_timestamp' default value.
Removing 'ipblocks.ipb_expiry' default value.
...index ar_name_title_timestamp already set on archive table.
Modifying img_name field of table image...done.
Removing 'image.img_timestamp' default value.
Modifying img_timestamp field of table image...done.
...index si_key already set on site_identifiers table.
Modifying rc_title field of table recentchanges...done.
Removing 'recentchanges.rc_timestamp' default value.
Modifying rc_timestamp field of table recentchanges...done.
Modifying rc_id field of table recentchanges...done.
...index rc_new_name_timestamp already set on recentchanges table.
Removing 'archive.ar_timestamp' default value.
Modifying ar_title field of table archive...done.
Modifying page_title field of table page...done.
Removing 'page.page_touched' default value.
Modifying user_name field of table user...done.
...index rev_page_timestamp already set on revision table.
...have modtoken field in objectcache table.
Removing 'revision.rev_timestamp' default value.
...index oi_timestamp already set on oldimage table.
...index page_name_title already set on page table.
...index ct_rc_tag_id already set on change_tag table.
Converting djvu metadata...
Finished refreshing file metadata for 0 files. 0 needed to be refreshed, 0 did not need to be but were refreshed anyways, and 0 refreshes were suspicious.
...done.
...page_restrictions table does not contain pr_user field.
Modifying fa_id field of table filearchive...done.
Modifying img_major_mime field of table image...done.
...linktarget table already exists.
...rev_page_id key doesn't exist.
Modifying pr_page field of table page_restrictions...done.
Modifying pp_page field of table page_props...done.
Modifying ir_value field of table ipblocks_restrictions...done.
...have tl_target_id field in templatelinks table.
...user_autocreate_serial table already exists.
Modifying ir_ipb_id field of table ipblocks_restrictions...done.
Modifying ipb_id field of table ipblocks...done.
Modifying user_editcount field of table user...done.
Running maintenance/migrateRevisionActorTemp.php...
revision_actor_temp does not exist, so nothing to do.
done.
...revision_actor_temp doesn't exist.
Running maintenance/updateRestrictions.php...
Migration is not needed.
done.
...page table does not contain page_restrictions field.
...spoofuser table already exists.
...cu_changes table already exists.
...cuc_id in table cu_changes already modified by patch /workspace/src/extensions/CheckUser/src/../schema/mysql/patch-cu_changes-cuc_id-unsigned.sql.
...index cuc_actor_ip_time already set on cu_changes table.
...cuc_timestamp in table cu_changes already modified by patch /workspace/src/extensions/CheckUser/src/../schema/mysql/patch-cu_changes-cuc_timestamp.sql.
...echo_event table already exists.
...user_event key doesn't exist.
Running extensions/Echo/maintenance/updateEchoSchemaForSuppression.php...
...Update 'UpdateEchoSchemaForSuppression' already logged as completed. Use --force to run it again.
done.
...echo_event table does not contain event_page_namespace field.
...echo_event table does not contain event_page_title field.
...echo_notification table does not contain notification_bundle_base field.
...echo_notification table does not contain notification_bundle_display_hash field.
...echo_notification_user_hash_timestamp key doesn't exist.
...echo_push_provider table already exists.
...echo_push_topic table already exists.
...echo_push_subscription table already exists.
Creating echo_unread_wikis table...done.
Modifying euw_wiki field of table echo_unread_wikis...done.
...flaggedimages doesn't exist.
...flaggedrevs table already exists.
...index fr_user already set on flaggedrevs table.
...flaggedtemplates table does not contain ft_title field.
...flaggedrevs table does not contain fr_img_name field.
...flaggedpage_config table does not contain fpc_select field.
...abuse_filter table already exists.
...abuse_filter_log table does not contain afl_log_id field.
...have afl_filter_id field in abuse_filter_log table.
...index afl_ip_timestamp already set on abuse_filter_log table.
...index afl_wiki_timestamp already set on abuse_filter_log table.
...skipping: index filter_timestamp doesn't exist.
...abuse_filter_log table does not contain afl_filter field.
Creating globaluser table...done.
...site_stats is populated...done.
Checking existence of old default messages...done.
Populating rev_len column
...doing rev_id from 1 to 200
Populating ar_len column
...archive table seems to be empty.
rev_len and ar_len population complete [0 revision rows, 0 archive rows].
Populating rev_sha1 column
...doing rev_id from 1 to 200
Populating ar_sha1 column
...archive table seems to be empty.
Populating ar_sha1 column legacy rows
rev_sha1 and ar_sha1 population complete [0 revision rows, 0 archive rows].
Populating img_sha1 field
Done 0 files in 0.0 seconds
Fixing protocol-relative entries in the externallinks table...
Done, 0 rows updated.
Populating fa_sha1 field from fa_storage_key
Done 0 files in 0.0 seconds
Updating *_from_namespace fields in links tables.
...doing page_id from 1 to 200
Adding empty categories with description pages...
Removing empty categories without description pages...
Category cleanup complete.
Populating page_props.pp_sortkey...
Populating page_props.pp_sortkey complete.
Updated a total of 0 rows
Copying IP revisions to ip_changes, from rev_id 0 to rev_id 1
Attempted to insert 0 IP revisions, 0 actually done.
Updating externallinks table index fields
el_id 0 - 6 of 6
Done, 0 rows updated, 0 deleted.
The cu_changes table seems to be empty.\nNo throttle parameters to normalize.
Throttle parameters successfully normalized. Changed 0 rows.
MediaWiki\Extension\AbuseFilter\Maintenance\FixOldLogEntries deleted 0 rows.
MediaWiki\Extension\AbuseFilter\Maintenance\FixOldLogEntries updated newlines for 0 rows.
MediaWiki\Extension\AbuseFilter\Maintenance\FixOldLogEntries updated fields for 0 rows.
...the abuse_filter_log table is empty.
Purging caches...done.
Done in 1.6 s.
php maintenance/rebuildLocalisationCache.php --lang en
Rebuilding en...
1 languages rebuilt out of 1
<<< Finish: Install MediaWiki, db=<MySQL /workspace/db/quibble-mysql-k4ga18gt/socket> vendor=True, in 3.227 s
INFO:quibble.commands:>>> Start: npm install in /workspace/src
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated formidable@1.2.6: Please upgrade to latest, formidable@v2 or formidable@v3! Check these notes: https://bit.ly/2ZEqIau
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated superagent@6.1.0: Please upgrade to v7.0.2+ of superagent. We have fixed numerous issues with streams, form-data, attach(), filesystem errors not bubbling up (ENOENT on attach()), and all tests are now passing. See the releases tab for more information at <https://github.com/visionmedia/superagent/releases>. Thanks to @shadowgate15, @spence-s, and @niftylettuce. Superagent is sponsored by Forward Email at <https://forwardemail.net>.
added 917 packages, and audited 919 packages in 9s
101 packages are looking for funding
run `npm fund` for details
4 vulnerabilities (2 moderate, 2 high)
To address issues that do not require attention, run:
npm audit fix
To address all issues, run:
npm audit fix --force
Run `npm audit` for details.
<<< Finish: npm install in /workspace/src, in 9.181 s
INFO:quibble.commands:<<< Finish: Run Post-dependency install, pre-database dependent steps in parallel (concurrency=2):
* Install MediaWiki, db=<MySQL /workspace/db/quibble-mysql-k4ga18gt/socket> vendor=True
* npm install in /workspace/src, in 9.267 s
INFO:quibble.commands:>>> Start: Start backends, <ExternalWebserver http://127.0.0.1:9413 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>
INFO:backend.ExternalWebserver:Not starting a webserver.
INFO:backend.Xvfb:Starting Xvfb on display :94
INFO:backend.ChromeWebDriver:Starting Chromedriver
INFO:quibble.use_headless:Display: :94
DEBUG:quibble.chromium_flags:Flags: ['', '--autoplay-policy=no-user-gesture-required', '--disable-pushstate-throttle', '--no-sandbox']
INFO:quibble.commands:<<< Finish: Start backends, <ExternalWebserver http://127.0.0.1:9413 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>, in 0.015 s
INFO:quibble.commands:>>> Start: Browser tests for projects mediawiki/extensions/RevisionSlider, mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/CentralAuth, mediawiki/extensions/CheckUser, mediawiki/extensions/Cite, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/Echo, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FlaggedRevs, mediawiki/extensions/GuidedTour, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/ParserFunctions, mediawiki/extensions/Renameuser, mediawiki/extensions/Scribunto, mediawiki/extensions/SyntaxHighlight_GeSHi, mediawiki/extensions/TemplateData, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/WikimediaEvents, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor
INFO:quibble.commands:Running webdriver test in /workspace/src/extensions/RevisionSlider
WARNING:backend.ChromeWebDriver:[1656691254.258][SEVERE]: bind() failed: Cannot assign requested address (99)
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated debug@4.1.1: Debug versions >=3.2.0 <3.2.7 || >=4 <4.3.1 have a low-severity ReDos regression when used in a Node.js environment. It is recommended you upgrade to 3.2.7 or 4.3.1. (https://github.com/visionmedia/debug/issues/797)
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
added 886 packages, and audited 887 packages in 10s
88 packages are looking for funding
run `npm fund` for details
found 0 vulnerabilities
> selenium-test
> for i in $(seq 1 10); do wdio ./tests/selenium/wdio.conf.js; done

Execution of 8 spec files started at 2022-07-01T16:01:06.030Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] PASSED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
......................
Spec Files: 8 passed, 8 total (100% completed) in 00:01:35

Execution of 8 spec files started at 2022-07-01T16:02:42.465Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] PASSED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
......................
Spec Files: 8 passed, 8 total (100% completed) in 00:01:31

Execution of 8 spec files started at 2022-07-01T16:04:14.609Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] PASSED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
......................
Spec Files: 8 passed, 8 total (100% completed) in 00:02:13

Execution of 8 spec files started at 2022-07-01T16:06:29.180Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] PASSED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
......................
Spec Files: 8 passed, 8 total (100% completed) in 00:01:28

Execution of 8 spec files started at 2022-07-01T16:07:59.152Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] PASSED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
......................
Spec Files: 8 passed, 8 total (100% completed) in 00:01:37

Execution of 8 spec files started at 2022-07-01T16:09:38.011Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] FAILED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
.....................
Spec Files: 7 passed, 1 failed, 8 total (100% completed) in 00:01:57

Execution of 8 spec files started at 2022-07-01T16:11:36.323Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] PASSED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
......................
Spec Files: 8 passed, 8 total (100% completed) in 00:01:32

Execution of 8 spec files started at 2022-07-01T16:13:09.883Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] PASSED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
......................
Spec Files: 8 passed, 8 total (100% completed) in 00:01:26

Execution of 8 spec files started at 2022-07-01T16:14:37.550Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] PASSED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
......................
Spec Files: 8 passed, 8 total (100% completed) in 00:01:31

Execution of 8 spec files started at 2022-07-01T16:16:09.939Z
[0-0] RUNNING in chrome - /tests/selenium/specs/autoexpand.js
[0-0] PASSED in chrome - /tests/selenium/specs/autoexpand.js
[0-1] RUNNING in chrome - /tests/selenium/specs/difflinks.js
[0-1] PASSED in chrome - /tests/selenium/specs/difflinks.js
[0-2] RUNNING in chrome - /tests/selenium/specs/filterhighlighting.js
[0-2] PASSED in chrome - /tests/selenium/specs/filterhighlighting.js
[0-3] RUNNING in chrome - /tests/selenium/specs/help.js
[0-3] PASSED in chrome - /tests/selenium/specs/help.js
[0-4] RUNNING in chrome - /tests/selenium/specs/history.js
[0-4] PASSED in chrome - /tests/selenium/specs/history.js
[0-5] RUNNING in chrome - /tests/selenium/specs/pointers.js
[0-5] PASSED in chrome - /tests/selenium/specs/pointers.js
[0-6] RUNNING in chrome - /tests/selenium/specs/timeline.js
[0-6] PASSED in chrome - /tests/selenium/specs/timeline.js
[0-7] RUNNING in chrome - /tests/selenium/specs/tooltips.js
[0-7] PASSED in chrome - /tests/selenium/specs/tooltips.js
"dot" Reporter:
......................
Spec Files: 8 passed, 8 total (100% completed) in 00:01:27
INFO:quibble.commands:Running webdriver test in /workspace/src
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated formidable@1.2.6: Please upgrade to latest, formidable@v2 or formidable@v3! Check these notes: https://bit.ly/2ZEqIau
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated superagent@6.1.0: Please upgrade to v7.0.2+ of superagent. We have fixed numerous issues with streams, form-data, attach(), filesystem errors not bubbling up (ENOENT on attach()), and all tests are now passing. See the releases tab for more information at <https://github.com/visionmedia/superagent/releases>. Thanks to @shadowgate15, @spence-s, and @niftylettuce. Superagent is sponsored by Forward Email at <https://forwardemail.net>.
added 917 packages, and audited 919 packages in 8s
101 packages are looking for funding
run `npm fund` for details
4 vulnerabilities (2 moderate, 2 high)
To address issues that do not require attention, run:
npm audit fix
To address all issues, run:
npm audit fix --force
Run `npm audit` for details.
> selenium-test
> wdio ./tests/selenium/wdio.conf.js

Execution of 5 workers started at 2022-07-01T16:17:47.512Z
[0-0] RUNNING in chrome - /tests/selenium/specs/page.js
[0-1] RUNNING in chrome - /tests/selenium/specs/recentchanges.js
[0-3] RUNNING in chrome - /tests/selenium/specs/watchlist.js
[0-2] RUNNING in chrome - /tests/selenium/specs/user.js
[0-1] PASSED in chrome - /tests/selenium/specs/recentchanges.js
[0-0] PASSED in chrome - /tests/selenium/specs/page.js
[0-4] RUNNING in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
[0-3] PASSED in chrome - /tests/selenium/specs/watchlist.js
[0-4] PASSED in chrome - /tests/selenium/wdio-mediawiki/specs/BlankPage.js
[0-2] PASSED in chrome - /tests/selenium/specs/user.js
"spec" Reporter:
------------------------------------------------------------------
[Chrome 90.0.4430.212 linux #0-1] Running: Chrome (v90.0.4430.212) on linux
[Chrome 90.0.4430.212 linux #0-1] Session ID: cbec66b6-5f11-4498-b750-20c19e48fee4
[Chrome 90.0.4430.212 linux #0-1]
[Chrome 90.0.4430.212 linux #0-1] » /tests/selenium/specs/recentchanges.js
[Chrome 90.0.4430.212 linux #0-1] Special:RecentChanges
[Chrome 90.0.4430.212 linux #0-1] ? shows page creation
[Chrome 90.0.4430.212 linux #0-1] - shows page creation
[Chrome 90.0.4430.212 linux #0-1]
[Chrome 90.0.4430.212 linux #0-1] 1 skipped (557ms)
------------------------------------------------------------------
[Chrome 90.0.4430.212 linux #0-0] Running: Chrome (v90.0.4430.212) on linux
[Chrome 90.0.4430.212 linux #0-0] Session ID: 31ebc9d0-7f91-48d1-895c-b73069995e31
[Chrome 90.0.4430.212 linux #0-0]
[Chrome 90.0.4430.212 linux #0-0] » /tests/selenium/specs/page.js
[Chrome 90.0.4430.212 linux #0-0] Page
[Chrome 90.0.4430.212 linux #0-0] ? should be previewable
[Chrome 90.0.4430.212 linux #0-0] - should be previewable
[Chrome 90.0.4430.212 linux #0-0] ? should be creatable
[Chrome 90.0.4430.212 linux #0-0] - should be creatable
[Chrome 90.0.4430.212 linux #0-0] ? should be re-creatable
[Chrome 90.0.4430.212 linux #0-0] - should be re-creatable
[Chrome 90.0.4430.212 linux #0-0] ? should be editable @daily
[Chrome 90.0.4430.212 linux #0-0] - should be editable @daily
[Chrome 90.0.4430.212 linux #0-0] ? should have history @daily
[Chrome 90.0.4430.212 linux #0-0] - should have history @daily
[Chrome 90.0.4430.212 linux #0-0] ? should be deletable
[Chrome 90.0.4430.212 linux #0-0] - should be deletable
[Chrome 90.0.4430.212 linux #0-0] ? should be restorable
[Chrome 90.0.4430.212 linux #0-0] - should be restorable
[Chrome 90.0.4430.212 linux #0-0] ? should be protectable
[Chrome 90.0.4430.212 linux #0-0] - should be protectable
[Chrome 90.0.4430.212 linux #0-0] - should be undoable
[Chrome 90.0.4430.212 linux #0-0]
[Chrome 90.0.4430.212 linux #0-0] 9 skipped (654ms)
------------------------------------------------------------------
[Chrome 90.0.4430.212 linux #0-3] Running: Chrome (v90.0.4430.212) on linux
[Chrome 90.0.4430.212 linux #0-3] Session ID: 1102a506-d0db-42e8-beed-2e3d5166fb5d
[Chrome 90.0.4430.212 linux #0-3]
[Chrome 90.0.4430.212 linux #0-3] » /tests/selenium/specs/watchlist.js
[Chrome 90.0.4430.212 linux #0-3] Special:Watchlist
[Chrome 90.0.4430.212 linux #0-3] ? should show page with new edit
[Chrome 90.0.4430.212 linux #0-3] - should show page with new edit
[Chrome 90.0.4430.212 linux #0-3]
[Chrome 90.0.4430.212 linux #0-3] 1 skipped (1.2s)
------------------------------------------------------------------
[Chrome 90.0.4430.212 linux #0-4] Running: Chrome (v90.0.4430.212) on linux
[Chrome 90.0.4430.212 linux #0-4] Session ID: 82e28ce4-155c-4a47-847b-21c6afac71c6
[Chrome 90.0.4430.212 linux #0-4]
[Chrome 90.0.4430.212 linux #0-4] » /tests/selenium/wdio-mediawiki/specs/BlankPage.js
[Chrome 90.0.4430.212 linux #0-4] BlankPage
[Chrome 90.0.4430.212 linux #0-4] ✓ should have its title @daily
[Chrome 90.0.4430.212 linux #0-4]
[Chrome 90.0.4430.212 linux #0-4] 1 passing (578ms)
------------------------------------------------------------------
[Chrome 90.0.4430.212 linux #0-2] Running: Chrome (v90.0.4430.212) on linux
[Chrome 90.0.4430.212 linux #0-2] Session ID: bb0d66a2-4ad4-4101-b896-1e78b4743914
[Chrome 90.0.4430.212 linux #0-2]
[Chrome 90.0.4430.212 linux #0-2] » /tests/selenium/specs/user.js
[Chrome 90.0.4430.212 linux #0-2] User
[Chrome 90.0.4430.212 linux #0-2] ✓ should be able to create account
[Chrome 90.0.4430.212 linux #0-2] ✓ should be able to log in @daily
[Chrome 90.0.4430.212 linux #0-2]
[Chrome 90.0.4430.212 linux #0-2] 2 passing (5.3s)
Spec Files: 5 passed, 5 total (100% completed) in 00:00:07
INFO:quibble.commands:Running webdriver test in /workspace/src/extensions/AbuseFilter
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
added 878 packages, and audited 879 packages in 9s
85 packages are looking for funding
run `npm fund` for details
found 0 vulnerabilities
> selenium-test
> wdio tests/selenium/wdio.conf.js

Execution of 3 spec files started at 2022-07-01T16:18:05.556Z
[0-0] RUNNING in chrome - /tests/selenium/specs/editingFilters.js
[0-1] RUNNING in chrome - /tests/selenium/specs/importingFilters.js
[0-2] RUNNING in chrome - /tests/selenium/specs/ViewList.basic.js
[0-2] PASSED in chrome - /tests/selenium/specs/ViewList.basic.js
[0-1] PASSED in chrome - /tests/selenium/specs/importingFilters.js
[0-0] PASSED in chrome - /tests/selenium/specs/editingFilters.js
"dot" Reporter:
........................
Spec Files: 3 passed, 3 total (100% completed) in 00:00:21
INFO:quibble.commands:Running webdriver test in /workspace/src/extensions/Cite
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
added 756 packages, and audited 757 packages in 8s
85 packages are looking for funding
run `npm fund` for details
found 0 vulnerabilities
> selenium-test
> wdio tests/selenium/wdio.conf.js

Execution of 1 spec files started at 2022-07-01T16:18:37.010Z
[0-0] RUNNING in chrome - /tests/selenium/specs/backlinks.js
[0-0] PASSED in chrome - /tests/selenium/specs/backlinks.js
"dot" Reporter:
......
Spec Files: 1 passed, 1 total (100% completed) in 00:00:06
INFO:quibble.commands:Running webdriver test in /workspace/src/extensions/Echo
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
added 797 packages, and audited 798 packages in 7s
101 packages are looking for funding
run `npm fund` for details
found 0 vulnerabilities
> echo@0.0.1 selenium-test
> wdio tests/selenium/wdio.conf.js

Execution of 2 workers started at 2022-07-01T16:18:51.847Z
[0-0] RUNNING in chrome - /tests/selenium/specs/echo.js
[0-0] PASSED in chrome - /tests/selenium/specs/echo.js
[0-1] RUNNING in chrome - /tests/selenium/specs/notifications.js
[0-1] PASSED in chrome - /tests/selenium/specs/notifications.js
"spec" Reporter:
------------------------------------------------------------------
[Chrome 90.0.4430.212 linux #0-0] Running: Chrome (v90.0.4430.212) on linux
[Chrome 90.0.4430.212 linux #0-0] Session ID: 95121f24-b49b-49e6-9801-c6d470e1c6f2
[Chrome 90.0.4430.212 linux #0-0]
[Chrome 90.0.4430.212 linux #0-0] » /tests/selenium/specs/echo.js
[Chrome 90.0.4430.212 linux #0-0] Echo
[Chrome 90.0.4430.212 linux #0-0] ✓ alerts and notices are visible after logging in @daily
[Chrome 90.0.4430.212 linux #0-0] ✓ flyout for alert appears when clicked @daily
[Chrome 90.0.4430.212 linux #0-0] ✓ flyout for notices appears when clicked @daily
[Chrome 90.0.4430.212 linux #0-0] - checks for welcome message after signup
[Chrome 90.0.4430.212 linux #0-0]
[Chrome 90.0.4430.212 linux #0-0] 3 passing (5s)
[Chrome 90.0.4430.212 linux #0-0] 1 skipped
------------------------------------------------------------------
[Chrome 90.0.4430.212 linux #0-1] Running: Chrome (v90.0.4430.212) on linux
[Chrome 90.0.4430.212 linux #0-1] Session ID: 2161d903-6e16-4500-8fe4-f8aa005dc354
[Chrome 90.0.4430.212 linux #0-1]
[Chrome 90.0.4430.212 linux #0-1] » /tests/selenium/specs/notifications.js
[Chrome 90.0.4430.212 linux #0-1] Notifications
[Chrome 90.0.4430.212 linux #0-1] ✓ checks for Notifications Page @daily
[Chrome 90.0.4430.212 linux #0-1]
[Chrome 90.0.4430.212 linux #0-1] 1 passing (2.5s)
Spec Files: 2 passed, 2 total (100% completed) in 00:00:11
INFO:quibble.commands:Running webdriver test in /workspace/src/extensions/MobileFrontend
npm WARN old lockfile
npm WARN old lockfile The package-lock.json file was created with an old version of npm,
npm WARN old lockfile so supplemental metadata must be fetched from the registry.
npm WARN old lockfile
npm WARN old lockfile This is a one-time fix-up, please be patient...
npm WARN old lockfile
npm WARN EBADENGINE Unsupported engine {
npm WARN EBADENGINE package: undefined,
npm WARN EBADENGINE required: { node: '12.22.5' },
npm WARN EBADENGINE current: { node: 'v14.17.5', npm: '7.21.0' }
npm WARN EBADENGINE }
npm WARN deprecated stable@0.1.8: Modern JS already guarantees Array#sort() is a stable sort, so this library is deprecated. See the compatibility table on MDN: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/sort#browser_compatibility
npm WARN deprecated source-map-url@0.4.1: See https://github.com/lydell/source-map-url#deprecated
npm WARN deprecated request-promise-native@1.0.9: request-promise-native has been deprecated because it extends the now deprecated request package, see https://github.com/request/request/issues/3142
npm WARN deprecated @stylelint/postcss-markdown@0.36.2: Use the original unforked package instead: postcss-markdown
npm WARN deprecated urix@0.1.0: Please see https://github.com/lydell/urix#deprecated
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated resolve-url@0.2.1: https://github.com/lydell/resolve-url#deprecated
npm WARN deprecated source-map-resolve@0.5.3: See https://github.com/lydell/source-map-resolve#deprecated
npm WARN deprecated sane@4.1.0: some dependency vulnerabilities fixed, support for node < 10 dropped, and newer ECMAScript syntax/features added
npm WARN deprecated chokidar@2.1.8: Chokidar 2 does not receive security updates since 2019. Upgrade to chokidar 3 with 15x fewer dependencies
npm WARN deprecated querystring@0.2.0: The querystring API is considered Legacy. new code should use the URLSearchParams API instead.
npm WARN deprecated samsam@1.3.0: This package has been deprecated in favour of @sinonjs/samsam
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated iltorb@2.4.5: The zlib module provides APIs for brotli compression/decompression starting with Node.js v10.16.0, please use it over iltorb
npm WARN deprecated core-js@2.6.12: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js-pure@3.19.1: core-js-pure@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js-pure.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
npm WARN deprecated core-js@3.19.1: core-js@<3.23.3 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Some versions have web compatibility issues. Please, upgrade your dependencies to the actual version of core-js.
added 2406 packages, and audited 2407 packages in 1m
214 packages are looking for funding
run `npm fund` for details
42 vulnerabilities (8 moderate, 27 high, 7 critical)
To address issues that do not require attention, run:
npm audit fix
To address all issues (including breaking changes), run:
npm audit fix --force
Run `npm audit` for details.
> selenium-test
> wdio tests/selenium/wdio.conf.js
Browserslist: caniuse-lite is outdated. Please run:
npx browserslist@latest --update-db
Why you should do it regularly: https://github.com/browserslist/browserslist#browsers-data-updating

Execution of 1 workers started at 2022-07-01T16:20:17.929Z
[0-0] Browserslist: caniuse-lite is outdated. Please run:
[0-0] npx browserslist@latest --update-db
[0-0] Why you should do it regularly: https://github.com/browserslist/browserslist#browsers-data-updating
[0-0] RUNNING in chrome - /tests/selenium/specs/switch_views.js
[0-0] PASSED in chrome - /tests/selenium/specs/switch_views.js
"dot" Reporter:
.
Spec Files: 1 passed, 1 total (100% completed) in 00:00:02
INFO:quibble.commands:Running webdriver test in /workspace/src/extensions/VisualEditor
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated mkdirp@0.5.1: Legacy versions of mkdirp are no longer supported. Please update to mkdirp 1.x. (Note that the API surface has changed to use Promises in 1.x.)
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated svgo@1.3.2: This SVGO version is no longer supported. Upgrade to v2.x.x.
added 1174 packages, and audited 1175 packages in 14s
129 packages are looking for funding
run `npm fund` for details
26 vulnerabilities (12 moderate, 13 high, 1 critical)
To address issues that do not require attention, run:
npm audit fix
To address all issues (including breaking changes), run:
npm audit fix --force
Run `npm audit` for details.
> visualeditor@0.0.0 selenium-test
> wdio tests/selenium/wdio.conf.js

Execution of 1 workers started at 2022-07-01T16:20:36.358Z
2022-07-01T16:20:36.360Z INFO @wdio/cli:launcher: Run onPrepare hook
2022-07-01T16:20:36.362Z INFO @wdio/cli:launcher: Run onWorkerStart hook
2022-07-01T16:20:36.363Z INFO @wdio/local-runner: Start worker 0-0 with arg: tests/selenium/wdio.conf.js
[0-0] 2022-07-01T16:20:36.761Z INFO @wdio/local-runner: Run worker command: run
[0-0] RUNNING in chrome - /tests/selenium/specs/content_editable.js
[0-0] 2022-07-01T16:20:36.971Z INFO devtools:puppeteer: Initiate new session using the DevTools protocol
[0-0] 2022-07-01T16:20:36.971Z INFO devtools: Launch Google Chrome with flags: --enable-automation --disable-popup-blocking --disable-extensions --disable-background-networking --disable-background-timer-throttling --disable-backgrounding-occluded-windows --disable-sync --metrics-recording-only --disable-default-apps --mute-audio --no-first-run --no-default-browser-check --disable-hang-monitor --disable-prompt-on-repost --disable-client-side-phishing-detection --password-store=basic --use-mock-keychain --disable-component-extensions-with-background-pages --disable-breakpad --disable-dev-shm-usage --disable-ipc-flooding-protection --disable-renderer-backgrounding --force-fieldtrials=*BackgroundTracing/default/ --enable-features=NetworkService,NetworkServiceInProcess --disable-features=site-per-process,TranslateUI,BlinkGenPropertyTrees --window-position=0,0 --window-size=1200,900 --enable-automation --no-sandbox
[0-0] 2022-07-01T16:20:37.575Z INFO devtools: Connect Puppeteer with browser on port 43243
[0-0] 2022-07-01T16:20:37.889Z INFO devtools: COMMAND deleteSession()
[0-0] 2022-07-01T16:20:37.891Z INFO devtools: RESULT null
[0-0] PASSED in chrome - /tests/selenium/specs/content_editable.js
2022-07-01T16:20:38.027Z INFO @wdio/cli:launcher: Run onComplete hook
"spec" Reporter:
------------------------------------------------------------------
[Chrome 90.0.4430.212 linux #0-0] Running: Chrome (v90.0.4430.212) on linux
[Chrome 90.0.4430.212 linux #0-0] Session ID: ee1dd501-eab7-426d-82d3-6b45721369bd
[Chrome 90.0.4430.212 linux #0-0]
[Chrome 90.0.4430.212 linux #0-0] » /tests/selenium/specs/content_editable.js
[Chrome 90.0.4430.212 linux #0-0] Content Editable
[Chrome 90.0.4430.212 linux #0-0] - should load when an url is opened @daily
[Chrome 90.0.4430.212 linux #0-0] - should be editable
[Chrome 90.0.4430.212 linux #0-0] - should save an edit
[Chrome 90.0.4430.212 linux #0-0]
[Chrome 90.0.4430.212 linux #0-0] 3 skipped (23ms)
Spec Files: 1 passed, 1 total (100% completed) in 00:00:01
2022-07-01T16:20:38.029Z INFO @wdio/local-runner: Shutting down spawned worker
2022-07-01T16:20:38.281Z INFO @wdio/local-runner: Waiting for 0 to shut down gracefully
2022-07-01T16:20:38.282Z INFO @wdio/local-runner: shutting down
INFO:quibble.commands:Running webdriver test in /workspace/src/skins/MinervaNeue
npm WARN deprecated source-map-url@0.4.1: See https://github.com/lydell/source-map-url#deprecated
npm WARN deprecated urix@0.1.0: Please see https://github.com/lydell/urix#deprecated
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated resolve-url@0.2.1: https://github.com/lydell/resolve-url#deprecated
npm WARN deprecated source-map-resolve@0.5.3: See https://github.com/lydell/source-map-resolve#deprecated
npm WARN deprecated chokidar@2.1.8: Chokidar 2 does not receive security updates since 2019. Upgrade to chokidar 3 with 15x fewer dependencies
npm WARN deprecated chokidar@2.1.8: Chokidar 2 does not receive security updates since 2019. Upgrade to chokidar 3 with 15x fewer dependencies
npm WARN deprecated querystring@0.2.0: The querystring API is considered Legacy. new code should use the URLSearchParams API instead.
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See https://v8.dev/blog/math-random for details.
npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
npm WARN deprecated popper.js@1.16.1: You can find the new Popper v2 at @popperjs/core, this package is dedicated to the legacy v1
npm WARN deprecated highlight.js@9.12.0: Version no longer supported. Upgrade to @latest
npm WARN deprecated core-js@2.6.12: core-js@<3.4 is no longer maintained and not recommended for usage due to the number of issues. Because of the V8 engine whims, feature detection in old core-js versions could cause a slowdown up to 100x even if nothing is polyfilled. Please, upgrade your dependencies to the actual version of core-js.
added 2040 packages, and audited 2041 packages in 25s
178 packages are looking for funding
run `npm fund` for details
22 vulnerabilities (7 moderate, 9 high, 6 critical)
To address issues that do not require attention, run:
npm audit fix
To address all issues (including breaking changes), run:
npm audit fix --force
Run `npm audit` for details.
> selenium-test
> wdio tests/selenium/wdio.conf.js

Execution of 10 workers started at 2022-07-01T16:21:04.855Z
[0-2] RUNNING in chrome - /tests/selenium/specs/editor_wikitext_saving.js
[0-0] RUNNING in chrome - /tests/selenium/specs/diff.js
[0-1] RUNNING in chrome - /tests/selenium/specs/editor_wikitext_nosave.js
[0-3] RUNNING in chrome - /tests/selenium/specs/mainmenu_loggedin.js
[0-2] PASSED in chrome - /tests/selenium/specs/editor_wikitext_saving.js
[0-0] PASSED in chrome - /tests/selenium/specs/diff.js
[0-4] RUNNING in chrome - /tests/selenium/specs/page.js
[0-5] RUNNING in chrome - /tests/selenium/specs/references.js
[0-4] PASSED in chrome - /tests/selenium/specs/page.js
[0-6] RUNNING in chrome - /tests/selenium/specs/search_loggedin.js
[0-3] Nearby item will only appear in main menu if $wgMFNearby is configured
[0-3] PASSED in chrome - /tests/selenium/specs/mainmenu_loggedin.js
[0-7] RUNNING in chrome - /tests/selenium/specs/talk.js
[0-5] PASSED in chrome - /tests/selenium/specs/references.js
[0-8] RUNNING in chrome - /tests/selenium/specs/user_page.js
[0-6] PASSED in chrome - /tests/selenium/specs/search_loggedin.js
[0-9] RUNNING in chrome - /tests/selenium/specs/watchstar.js
[0-8] PASSED in chrome - /tests/selenium/specs/user_page.js
[0-9] PASSED in chrome - /tests/selenium/specs/watchstar.js
[0-7] PASSED in chrome - /tests/selenium/specs/talk.js
[0-1] PASSED in chrome - /tests/selenium/specs/editor_wikitext_nosave.js
"dot" Reporter:
................
Spec Files: 10 passed, 10 total (100% completed) in 00:00:23
INFO:quibble.commands:<<< Finish: Browser tests for projects mediawiki/extensions/RevisionSlider, mediawiki/core, mediawiki/extensions/AbuseFilter, mediawiki/extensions/AntiSpoof, mediawiki/extensions/CentralAuth, mediawiki/extensions/CheckUser, mediawiki/extensions/Cite, mediawiki/extensions/CodeEditor, mediawiki/extensions/ConfirmEdit, mediawiki/extensions/Echo, mediawiki/extensions/EventBus, mediawiki/extensions/EventLogging, mediawiki/extensions/EventStreamConfig, mediawiki/extensions/FlaggedRevs, mediawiki/extensions/GuidedTour, mediawiki/extensions/MobileApp, mediawiki/extensions/MobileFrontend, mediawiki/extensions/ParserFunctions, mediawiki/extensions/Renameuser, mediawiki/extensions/Scribunto, mediawiki/extensions/SyntaxHighlight_GeSHi, mediawiki/extensions/TemplateData, mediawiki/extensions/VisualEditor, mediawiki/extensions/WikiEditor, mediawiki/extensions/WikimediaEvents, mediawiki/skins/MinervaNeue, mediawiki/skins/Vector, mediawiki/vendor, in 1234.022 s
INFO:quibble.commands:Shutting down backends: <ExternalWebserver http://127.0.0.1:9413 /workspace/src> <Xvfb :94> <ChromeWebDriver :94>
INFO:backend.ChromeWebDriver:Terminating ChromeWebDriver
INFO:backend.Xvfb:Terminating Xvfb
INFO:quibble.commands:Shutting down backends: <MySQL /workspace/db/quibble-mysql-k4ga18gt/socket>
INFO:backend.MySQL:Terminating MySQL
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -xe /tmp/jenkins11507121617393707316.sh
+ set -eu
+ ERROR_FILES=(mw-dberror.log mw-error.log)
+ echo 'Asserting empty files: mw-dberror.log mw-error.log'
Asserting empty files: mw-dberror.log mw-error.log
++ cd /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2/log
++ ls mw-dberror.log mw-error.log
++ :
+ log_files=
+ '[' '!' '' ']'
+ echo 'No error files created by MediaWiki. GOOD'
No error files created by MediaWiki. GOOD
+ exit 0
[PostBuildScript] - [INFO] Executing post build scripts.
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -xe /tmp/jenkins797462015921748282.sh
+ find log/ -name 'junit*.xml' -exec gzip '{}' +
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash /tmp/jenkins15974620237371451456.sh
+ set -o pipefail
++ pwd
+ exec docker run --entrypoint=/bin/rm --volume /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2/log:/log --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=127462 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest -fR /log/rawSeleniumVideoGrabs
++ /usr/bin/env
++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
[PostBuildScript] - [INFO] Executing post build scripts.
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -xe /tmp/jenkins17728518251249234337.sh
+ find log/ -name 'mw-debug-*.log' -exec gzip '{}' +
Archiving artifacts
[PostBuildScript] - [INFO] Executing post build scripts.
Waiting for the completion of castor-save-workspace-cache
castor-save-workspace-cache #2979964 started.
castor-save-workspace-cache #2979964 completed. Result was SUCCESS
[PostBuildScript] - [INFO] Executing post build scripts.
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -xe /tmp/jenkins7538322324053621094.sh
+ echo 'Clearing /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2/cache'
Clearing /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2/cache
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash /tmp/jenkins4432681626654024919.sh
+ set -o pipefail
++ pwd
+ exec docker run --volume /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2/cache:/cache --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=127462 --env-file /dev/fd/63 docker-registry.wikimedia.org/releng/castor:0.2.6 clear
++ /usr/bin/env
++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
[PostBuildScript] - [INFO] Executing post build scripts.
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -xe /tmp/jenkins10068085086868401475.sh
+ set -euxo pipefail
+ docker ps -q --filter label=jenkins.job=quibble-vendor-mysql-php72-selenium-docker --filter label=jenkins.build=127462
+ xargs --no-run-if-empty docker stop
[PostBuildScript] - [INFO] Executing post build scripts.
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash /tmp/jenkins10098712639192382017.sh
+ set -o pipefail
+ exec docker run --entrypoint=/usr/bin/find --user=root --volume /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2:/workspace --security-opt seccomp=unconfined --init --rm --label jenkins.job=quibble-vendor-mysql-php72-selenium-docker --label jenkins.build=127462 --env-file /dev/fd/63 docker-registry.wikimedia.org/buster:latest /workspace -mindepth 1 -delete
++ /usr/bin/env
++ egrep -v '^(HOME|SHELL|PATH|LOGNAME|MAIL)='
[quibble-vendor-mysql-php72-selenium-docker@2] $ /bin/bash -xe /tmp/jenkins5043618040963758258.sh
+ set -u
+ rmdir /srv/jenkins/workspace/quibble-vendor-mysql-php72-selenium-docker@2
Finished: SUCCESS